CVE Vulnerabilities

CVE-2004-0150

Published: Apr 15, 2004 | Modified: Oct 10, 2017
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
7.5 HIGH
AV:N/AC:L/Au:N/C:P/I:P/A:P
RedHat/V2
RedHat/V3
Ubuntu

Buffer overflow in the getaddrinfo function in Python 2.2 before 2.2.2, when IPv6 support is disabled, allows remote attackers to execute arbitrary code via an IPv6 address that is obtained using DNS.

Affected Software

Name Vendor Start Version End Version
Python Python_software_foundation 2.2 2.2
Python Python_software_foundation 2.2.1 2.2.1

References